propwatch(1)

NAME
propwatch - a tool to monitor X11 properties

SYNOPSIS
propwatch [ options ] property-name ...

DESCRIPTION
propwatch is a tool to monitor window properties of root and application windows. Nice for debugging property-based IPC of X11 programs.

OPTIONS
propwatch uses the Athena Widgets and accepts the usual toolkit options like -display and -geometry.

Additional options are:

-watch display
    Display to monitor the windows on. By default the display specified in the DISPLAY environment variable or via -display is used, but it is possible to watch another display instead.

-verbose
    be verbose.

-proplog
    Log property changes to stdout.

-kbdlog
    Log keystrokes to stdout.

All remaining command line arguments are assumed to be property names which should be monitored. If no property names are specified, a build in default (WM_COMMAND) will be used.

ENVIRONMENT

DISPLAY
    specifies the display to use for the propwatch window.

SEE ALSO
xprop(1), xhost(1), xauth(1), xwd(1)

AUTHOR
Gerd Knorr <kraxel@bytesex.org>

COPYRIGHT
Copyright (C) 1997-2003 Gerd Knorr
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.